NameRegister
Date: 2017-02-10

javax.jmdns.impl

## Interface NameRegister

- All Known Implementing Classes:
    NameRegister.UniqueNameAcrossInterface, NameRegister.UniqueNamePerInterface

      public interface NameRegister

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `NameRegister.Factory`
    `static class` | `NameRegister.NameType`
    `static class` | `NameRegister.UniqueNameAcrossInterface`
    `static class` | `NameRegister.UniqueNamePerInterface`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkName(java.net.InetAddress networkInterface, java.lang.String name, NameRegister.NameType type)` Checks a name that is defended by this group of mDNS.
    `java.lang.String` | `incrementHostName(java.net.InetAddress networkInterface, java.lang.String name, NameRegister.NameType type)` Increments a name that is defended by this group of mDNS after it has been found in conflict.
    `void` | `register(java.net.InetAddress networkInterface, java.lang.String name, NameRegister.NameType type)` Registers a name that is defended by this group of mDNS.

- - ### Method Detail

    - #### register

          void register(java.net.InetAddress networkInterface,
                      java.lang.String name,
                      NameRegister.NameType type)

      Registers a name that is defended by this group of mDNS.
      Parameters:
        `networkInterface` - IP address to handle
        `name` - name to register
        `type` - name type to register

    - #### checkName

          boolean checkName(java.net.InetAddress networkInterface,
                          java.lang.String name,
                          NameRegister.NameType type)

      Checks a name that is defended by this group of mDNS.
      Parameters:
        `networkInterface` - IP address to handle
        `name` - name to check
        `type` - name type to check
      Returns:
        `true` if the name is not in conflict, `flase` otherwise.

    - #### incrementHostName

          java.lang.String incrementHostName(java.net.InetAddress networkInterface,
                                           java.lang.String name,
                                           NameRegister.NameType type)

      Increments a name that is defended by this group of mDNS after it has been found in conflict.
      Parameters:
        `networkInterface` - IP address to handle
        `name` - name to increment
        `type` - name type to increments
      Returns:
        new name